Description

The calendar view currently displays the following 3 statuses.

1. task beginning this day

2. task ending this day

3. task beginning and ending this day

This works well for issues with planned due dates and for planning/looking forward. However, in my environment there are often no

due dates. The calendar could be even more useful if issues closed dates were represented. I propose that this be done by

displaying the issue as any other (issue number as a gray link with a line through it followed by the subject) but with one or more of

the following additions.

1. preceded by an "x" icon

2. preceded by a down arrow icon

3. have a gray background color

4. include the icon and meaning in the legend

This would only need to be displayed when closed issues were included in the view.

Related issues:

Related to Redmine - Feature #6795: View issue close date on the gantt view New 2010-11-02

Blocked by Redmine - Feature #824: Add "closed_on" issue field (storing time ... Closed 2008-03-10

History

#1 - 2011-03-14 21:51 - Jonas De Meulenaere

- Category set to Calendar

What is your use case for which issue closed dates must be displayed?

#2 - 2011-03-14 22:06 - Shaytu Schwandes

In short, having this feature would allow you to see if an issues was closed before or after the due date telling you whether it was done early or late.

And if you are referring to what happens when an issue is closed and opened and closed again, I'd use the most recent close date.

#3 - 2011-04-27 22:06 - odile oudre

Shaytu Schwandes wrote:

In short, having this feature would allow you to see if an issues was closed before or after the due date telling you whether it was done early or

late. And if you are referring to what happens when an issue is closed and opened and closed again, I'd use the most recent close date.

 In fact, the date date is very important and it would be very nice to display it in the gant graph. To compare scheduled date (due date) and the release

date (closed date)

#4 - 2011-11-25 18:15 - Harry Garrood

I agree, I think this feature would be really nice.
